# Method: accounts.creatives.update

- [HTTP request](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.creatives/update#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.creatives/update#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.creatives/update#body.request_body)
- [Response body](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.creatives/update#body.response_body)
- [Authorization Scopes](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.creatives/update#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.creatives/update#try-it)

Updates a creative.

### HTTP request

`PUT https://adexchangebuyer.googleapis.com/v2beta1/accounts/{creative.accountId}/creatives/{creative.creativeId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `creative.accountId` | `string` The account that this creative belongs to. Can be used to filter the response of the `https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.creatives/list#google.ads.adexchange.buyer.v2beta1.Creatives.ListCreatives` method. |
| `creative.creativeId` | `string` The buyer-defined creative ID of this creative. Can be used to filter the response of the `https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.creatives/list#google.ads.adexchange.buyer.v2beta1.Creatives.ListCreatives` method. |

### Request body

The request body contains an instance of `https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.creatives#Creative`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.creatives#Creative`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adexchange.buyer`